<?php

require_once("../config/conexion.php");
require_once("../models/Libro.php");
require_once("../models/Permisos.php");
$libro = new Libro();

switch ($_GET["op"]) {
    case "consultar_libro":
        $datos = $libro->Libro_por_ID($_POST["librodbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["librodbk"] = $row["librodbk"];
                $output["clasificacion"] = $row["clasificacion"];
                $output["subclasificacion"] = $row["subclasificacion"];
                $output["nombre"] = $row["nombre"];
                $output["autor"] = $row["autor"];
                $output["anio"] = $row["anio"];
                $output["editorial"] = $row["editorial"];
                $output["isbn"] = $row["isbn"];
                $output["URL"] = $row["URL"];
                $output["tipo"] = $row["tipo"];
            }
            echo json_encode($output);
        }
        break;
    case "guardar":
        $datos = array("tabla" => "libros",
            "librodbk" => $_POST["librodbkL"],
            "clasificacion" => $_POST["clasificacionL"],
            "subclasificacion" => $_POST["subclasificacionL"],
            "nombre" => $_POST["nombreL"],
            "autor" => $_POST["autorL"],
            "anio" => $_POST["anioL"],
            "editorial" => $_POST["editorialL"],
            "isbn" => $_POST["isbnL"],
            "URL" => $_POST["URLL"],
            "tipo" => $_POST["tipoL"]
        );
        $libro->mdlActualizarLibro($datos);
        break;
    case "guardarA":
        $datos = array("tabla" => "libros",
            "librodbk" => $_POST["librodbkL"],
            "clasificacion" => $_POST["clasificacionL"],
            "subclasificacion" => $_POST["subclasificacionL"],
            "nombre" => $_POST["nombreL"],
            "autor" => $_POST["autorL"],
            "anio" => $_POST["anioL"],
            "editorial" => $_POST["editorialL"],
            "isbn" => $_POST["isbnL"],
            "URL" => $_POST["URLL"],
            "tipo" => $_POST["tipoL"]
        );
        $libro->mdlActualizarLibroA($datos);
        break;
    case "guardarR":
        $datos = array("tabla" => "libros",
            "librodbk" => $_POST["librodbkL"],
            "clasificacion" => $_POST["clasificacionL"],
            "subclasificacion" => $_POST["subclasificacionL"],
            "nombre" => $_POST["nombreL"],
            "autor" => $_POST["autorL"],
            "anio" => $_POST["anioL"],
            "editorial" => $_POST["editorialL"],
            "isbn" => $_POST["isbnL"],
            "URL" => $_POST["URLL"],
            "tipo" => $_POST["tipoL"]
        );
        $libro->mdlActualizarLibroR($datos);
        break;
    case "guardarV":
        $datos = array("tabla" => "libros",
            "librodbk" => $_POST["librodbkL"],
            "clasificacion" => $_POST["clasificacionL"],
            "subclasificacion" => $_POST["subclasificacionL"],
            "nombre" => $_POST["nombreL"],
            "autor" => $_POST["autorL"],
            "anio" => $_POST["anioL"],
            "URL" => $_POST["URLL"],
            "tipo" => $_POST["tipoL"]
        );
        $libro->mdlActualizarLibroV($datos);
        break;
    case "ver":
        $datos = array("tabla" => "bibliotecageneral",
            "librodbk" => $_POST["librodbkV"],
            "usuariodbk" => $_SESSION["usuariodbk"],
            "periododbk" => $_SESSION["periodbk"],
            "URL" => $_POST["URLV"],
        );
        $libro->mdlIngresarVer($datos);
        echo'
                <script>   
                    window.open("';
        echo $_POST["URLV"];
        echo'" ,"_blank");                                                          
                </script>';
        break;
    case "eliminar_libro":
        $datos = $libro->Eliminar_por_ID($_POST["librodbk"]);
        break;
    case "numLibros":
        $datos = $libro->Total_Libros("libro");
        foreach ($datos as $row) {
            $output["total"] = $row["total"];
        }
        echo json_encode($output);
        break;
    case "numArticulos":
        $datos = $libro->Total_Libros("articulo");
        foreach ($datos as $row) {
            $output["total"] = $row["total"];
        }
        echo json_encode($output);
        break;
    case "numRevistas":
        $datos = $libro->Total_Libros("revista");
        foreach ($datos as $row) {
            $output["total"] = $row["total"];
        }
        echo json_encode($output);
        break;
    case "numVideos":
        $datos = $libro->Total_Libros("video");
        foreach ($datos as $row) {
            $output["total"] = $row["total"];
        }
        echo json_encode($output);
        break;     
    case "numTesis":
        $datos = $libro->Total_Libros("tesis");
        foreach ($datos as $row) {
            $output["total"] = $row["total"];
        }
        echo json_encode($output);
        break;    
    case "comboRecursos":
        $datos = $libro->listarCombo($_POST["subclasificaciondbk"]);
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>-- SELECCIONE --</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['librodbk'] . "'>" . $row['nombre'] . " - ".$row['clase']."</option>";
            }
            echo $html;
        }
        break;        
}
?>


